
/*
 *		<Printing.h> and <PrintTraps.h> cannot both be included.
 *
 *		<LoMem.h> and <SysEqu.h> cannot both be included.
 *
 *		<asm.h> and <Traps.h>, if both are included, must appear
 *		in that order.  If <Traps.h> is included, traps used in
 *		inline assembly must appear without leading underscores.
 *
 *  If the "Check Pointer Types" option is disabled during the
 *  precompilation process, trap definitions will be stored in
 *  such a way that when a trap is called (in a source file that
 *  #includes the precompiled header), pointer arguments to the
 *  trap will not be matched against the types of corresponding
 *  formal parameters.
 *
 *  This is accomplished by storing "simplified" prototypes for
 *  traps, in which any argument of pointer type is stored as
 *  "void *".  The result closely resembles the treatment of traps
 *  in pre-5.0 versions of THINK C.
 *
 *  (Note that this file is written in such a way that it is immune
 *  to the actual compiler setting of "Check Pointer Types".  Use
 *  the "SIMPLIFY_PROTOTYPES" macro, below, to control whether full
 *  prototypes are retained.)
 *
 */

#define _H_MacHeaders


// set this to 0 (zero) to retain full prototypes
// set this to 1 (one) for "simplified" prototypes
#define SIMPLIFY_PROTOTYPES		1

// prototype checking level
#if SIMPLIFY_PROTOTYPES
	#if !__option(check_ptrs)
		#undef SIMPLIFY_PROTOTYPES
	#endif
	#pragma options(!check_ptrs)
#else
	#if __option(check_ptrs)
		#undef SIMPLIFY_PROTOTYPES
	#endif
	#pragma options(check_ptrs)
#endif


													//		#include <ADSP.h>
													//		#include <AIFF.h>
		#include <Aliases.h>
		#include <AppleEvents.h>
													//		#include <AppleTalk.h>
													//		#include <Balloons.h>
		#include <BDC.h>
													//		#include <CommResources.h>
													//		#include <Connections.h>
													//		#include <ConnectionTools.h>
		#include <Controls.h>
													//		#include <CRMSerialDevices.h>
													//		#include <CTBUtilities.h>
													//		#include <DatabaseAccess.h>
		#include <Desk.h>
		#include <DeskBus.h>
		#include <Devices.h>
		#include <Dialogs.h>
		#include <DiskInit.h>
		#include <Disks.h>
													//		#include <Editions.h>
													//		#include <ENET.h>
		#include <EPPC.h>
		#include <Errors.h>
		#include <Events.h>
		#include <Files.h>
													//		#include <FileTransfers.h>
													//		#include <FileTransferTools.h>
		#include <Finder.h>
		#include <FixMath.h>
		#include <Folders.h>
		#include <Fonts.h>
		#include <GestaltEqu.h>
													//		#include <Graf3D.h>
													//		#include <HyperXCmd.h>
		#include <Icons.h>
		#include <Language.h>
		#include <Lists.h>
		#include <Memory.h>
		#include <Menus.h>
													//		#include <MIDI.h>
		#include <Notification.h>
		#include <OSEvents.h>
		#include <OSUtils.h>
		#include <Packages.h>
													//		#include <Palette.h>
		#include <Palettes.h>
		#include <Picker.h>
		#include <PictUtil.h>
		#include <Power.h>
		#include <PPCToolBox.h>
		#include <Printing.h>
		#include <Processes.h>
		#include <QDOffscreen.h>
		#include <Quickdraw.h>
		#include <Resources.h>
		#include <Retrace.h>
													//		#include <ROMDefs.h>
		#include <SANE.h>
		#include <Scrap.h>
		#include <Script.h>
													//		#include <SCSI.h>
		#include <SegLoad.h>
		#include <Serial.h>
		#include <ShutDown.h>
													//		#include <Slots.h>
		#include <Sound.h>
		#include <SoundInput.h>
		#include <StandardFile.h>
													//		#include <Start.h>
		#include <SysEqu.h>
													//		#include <Terminals.h>
													//		#include <TerminalTools.h>
		#include <TextEdit.h>
		#include <Timer.h>
		#include <ToolUtils.h>
		#include <Types.h>
		#include <Values.h>
		#include <Video.h>
		#include <Windows.h>
													//		#include <pascal.h>
													//		#include <asm.h>
													//		#include <LoMem.h>
		#include <THINK.h>
		#include <Traps.h>

		
#if SIMPLIFY_PROTOTYPES
	#pragma options(check_ptrs)
#elif defined(SIMPLIFY_PROTOTYPES)
	#pragma options(!check_ptrs)
#endif
#undef SIMPLIFY_PROTOTYPES
